package com.eactive.eai.common.util;

import java.io.Serializable;

public class SMSLogVO implements Serializable {

	private static final long serialVersionUID = 1L;

	private long initTimeMillis; // 최초 logging 시간(millisecond)
	private int occurCount; // error 발생 건수
	private String logMessage; // sms log message

	public SMSLogVO(long initTimeMillis, int occurCount, String logMessage) {
		this.initTimeMillis = initTimeMillis;
		this.occurCount = occurCount;
		this.logMessage = logMessage;
	}

	public long getInitTimeMillis() {
		return initTimeMillis;
	}

	public void setInitTimeMillis(long initTimeMillis) {
		this.initTimeMillis = initTimeMillis;
	}

	public String getLogMessage() {
		return logMessage;
	}

	public void setLogMessage(String logMessage) {
		this.logMessage = logMessage;
	}

	public int getOccurCount() {
		return occurCount;
	}

	public void setOccurCount(int occurCount) {
		this.occurCount = occurCount;
	}

	public void increaseOccurCount() {
		this.occurCount++;
	}
}